###############################
#
#       nX - Docs
#        (Codename: XEN-Docs)
#
#     This script is a part of
#           XEN CMS
#
#     Writted by NeuroniX
#       aka Viguro Nikolay
#        neuronix666@yandex.ru
#
#          Started at 04/04/04
#
################################

sub Docs
{
   my ($self, %info) = @_;
   my $content;
   my $dir = $info{'dir'};

   $content .= "<center><img border=0 src=\"/Skins/$Libs::API::skin/images/pages.gif\"></center>\n\n";

   return $self->viewDoc($info{'sid'}) if $info{'sid'} ne "";

############################################
############################################

    $dir = "S0" if $dir eq "";
    $content .= $self->viewDirContent($dir, "S");

    $self->db_connect();

     my $sth = $dbh->prepare("SELECT SID, Date, Title, Description, Author, Views, Rating FROM ${dbPrefix}_Module_Docs WHERE FS=\"$dir\"");
           $sth->execute();

               while (my $ref = $sth->fetchrow_hashref())
	         {
                    my @html = $self->readFile("Skins/$Libs::API::skin/docs/ViewAll.html");

		    $ref->{'Description'} =~ s/&lt;/\</g;
		    $ref->{'Description'} =~ s/&gt;/\>/g;
		    $ref->{'Description'} =~ s/&quot;/\"/g;
		    $ref->{'Description'} =~ s/\&\#58;/:/g;
		    $ref->{'Description'} =~ s/\n/<br>/g;

		   foreach my $line (@html)
		   {
			     $line =~ s/__DATE__/$ref->{'Date'}/eg;
			     $line =~ s/__SID__/$ref->{'SID'}/eg;
			     $line =~ s/__TITLE__/$ref->{'Title'}/eg;
			     $line =~ s/__AUTHOR__/$ref->{'Author'}/eg;
			     $line =~ s/__DESCRIPTION__/$ref->{'Description'}/eg;
			     $line =~ s/__VIEWS__/$ref->{'Views'}/eg;
			     $line =~ s/__RATING__/$ref->{'Rating'}/eg;

			  	$content .= $line;
                  }
               }

           $sth->finish();

    $self->db_disconnect(); # Disconnecting from DB.

    return $content;

############################################
############################################

  sub viewDoc
   {
    my ($self, $sid) = @_;
    my $views;

    $self->db_connect(); # Connecting to DB.

     my $sth = $dbh->prepare("SELECT * FROM ${dbPrefix}_Module_Docs WHERE SID=\"$sid\"");
           $sth->execute();

               while (my $ref = $sth->fetchrow_hashref())
	         {

                    $views = $ref->{'Views'}+1;

		    $ref->{'Content'} =~ s/&lt;/\</g;
		    $ref->{'Content'} =~ s/&gt;/\>/g;
		    $ref->{'Content'} =~ s/&quot;/\"/g;
		    $ref->{'Content'} =~ s/\&\#58;/:/g;
		    $ref->{'Content'} =~ s/\n/<br>/g;

                    my @html = $self->readFile("Skins/$Libs::API::skin/docs/ViewDoc.html");

		   foreach my $line (@html)
		     {
			     $line =~ s/__DATE__/$ref->{'Date'}/eg;
			     $line =~ s/__TITLE__/$ref->{'Title'}/eg;
			     $line =~ s/__SID__/$ref->{'SID'}/eg;
			     $line =~ s/__AUTHOR__/$ref->{'Author'}/eg;
			     $line =~ s/__PID__/$ref->{'PID'}/eg;
			     $line =~ s/__CONTENT__/$ref->{'Content'}/eg;
			     $line =~ s/__VIEWS__/$views/eg;
			     $line =~ s/__RATING__/$ref->{'Rating'}/eg;

			  	$content .= $line;
                     }
                  }

           $sth->finish();

	   $self->db_do_query("UPDATE ${Libs::API::dbPrefix}_Module_Docs SET Views=$views WHERE SID=$sid");

    $self->db_disconnect(); # Disconnecting from DB.

   return $content;
   }

  ###################

}

1;
