#####################################
#
#       nX - Blocks Managment
#        (Codename: XEN-Blocks)
#		Administrative Interface.
#
#     This script is a part of
#           XEN CMS
#
#     Writted by NeuroniX
#       aka Viguro Nikolay
#        neuronix666@yandex.ru
#
#          Started at 27/05/04
#
#####################################

sub BlocksAdmin
{
   my ($self, %info) = @_;
   my %config = %Libs::API::config;
   my $globPrint;

      our $ADI = new Libs::ADI ( initMods => 1,
                                               readConf => 1 ); # Initalize ADI constructor

   $self->db_connect(); # Connecting to DB.

      if($info{'param'} eq 'add' && $info{'blockname'} ne '' && $info{'title'} ne '' && $info{'content'} ne '') { addBlock(); }
      if($info{'param'} eq 'add') { viewForm(); }
      if($info{'param'} eq 'edit') { $ADI->printPage($self->saveEdit()); }
      if($info{'param'} eq 'del') { $ADI->printPage($self->delEdit()); }

  ###################

 sub addBlock
   {
     my $localtime= $Libs::API::localtime;

     my %info = $self->retchr(%info);

     $self->db_do_query("INSERT INTO ${Libs::API::dbPrefix}_Blocks
    				 (BlockName, Date, OnIndex, Title, Content, Type, Active) VALUES
				  (\"$info{'blockname'}\", \"$localtime\", 1, \"$info{'title'}\", \"$info{'message'}\", \"$info{'type'}\", 1)");

    ########################
    ########################

    $ADI->printPage("<br><center><b>   ...</b></center>\n");
  }

 sub viewForm
   {
     my $center;
     my @data= $self->readFile("Skins/$Libs::API::skin/blocks/AdmAdd.html");

	  foreach my $line (@data)
	     {
               $center .= $line;
             }

      $ADI->printPage($center);
    }

   #####################
   #####################

  my $msgtmp = "<br><center><a class=data href=\"admin.cgi?do=Blocks&param=add\"> </a></center><br>";
  my $total = $self->db_rows_count("SELECT * FROM ${Libs::API::dbPrefix}_Blocks");

############################
############################

    return viewEmpty() if $total == 0 || $total eq '';

     	   my $sth = $Libs::API::dbh->prepare("SELECT * FROM ${Libs::API::dbPrefix}_Blocks");
           $sth->execute();

               while (my $ref = $sth->fetchrow_hashref())
	          {
                     my  %t = %_;
		     my @html = $self->readFile("Skins/$Libs::API::skin/blocks/EditBlock.html");

		     foreach my $line (@html)
		      {
			     $line =~ s/__BLOCKNAME__/$ref->{'BlockName'}/eg;
			     $line =~ s/__DATE__/$ref->{'Date'}/eg;
			     $line =~ s/__TITLE__/$ref->{'Title'}/eg;
			     $line =~ s/__CONTENT__/$ref->{'Content'}/eg;
			     $line =~ s/__TYPE__/$ref->{'Type'}/eg;
			     $line =~ s/__ONINDEX__/$ref->{'OnIndex'}/eg;
			     $line =~ s/__ACTIVE__/$ref->{'Active'}/eg;

			  	$msgtmp .= $line;

				$self->db_disconnect();
	               }
                    }

           $sth->finish();


sub viewEmpty
{
     my @html = $self->readFile("Skins/$Libs::API::$skin/blocks/empty.html");

     foreach my $line (@html)
      {
        $msgtmp .= $line;
      }

   return $msgtmp;
}

##############################################

sub saveEdit
{
  my $self = shift;
  my %info = $self->retchr(%info);

  $info{'message'} =~ s/"/\\"/ig;

      $self->db_do_query("UPDATE ${Libs::API::dbPrefix}_Blocks
    				     SET BlockName=\"$info{'blockname'}\", Date=\"$info{'date'}\", Type=\"$info{'type'}\", Active=\"$info{'active'}\", OnIndex=\"$info{'onindex'}\",
				     Content=\"$info{'message'}\"
				     WHERE BlockName=\"$info{'bnb'}\"");

  return "<center><br><b> ...</b></center>";
}

##############################################

sub delEdit
{
  my $self = shift;

      $self->db_do_query("DELETE FROM ${Libs::API::dbPrefix}_Blocks WHERE BlockName=\"$info{'bn'}\"");

  return "<center><br><b> ...</b></center>";
}

####################################################
####################################################

   $self->db_disconnect(); # Disconnecting from DB.

   return $msgtmp;
}

1;

