###############################
#
#       nX - Downloads
#        (Codename: XEN-Downloads)
#
#     This script is a part of
#           XEN CMS
#
#     Writted by NeuroniX
#       aka Viguro Nikolay
#        neuronix666@yandex.ru
#
#          Started at 17/02/04
#
################################

use Libs::ADI;

sub Downloads
{
   my ($self, %info) = @_;
   my $content;
   my $dir = $info{'dir'};

   $content .= "<center><img border=0 src=\"/Skins/$Libs::API::skin/images/downloads.gif\"></center>\n\n";

             $self->goDown($info{'did'}) if $info{'did'} ne "" && $info{'action'} eq "down";
   return $self->viewDown($info{'did'}) if $info{'did'} ne "";

############################################
############################################

    $dir = "D0" if $dir eq "";
    $content .= $self->viewDirContent($dir, "D");

    $self->db_connect();

     my $sth = $dbh->prepare("SELECT DID, Date, Title, Description, Author, Downs, Rating FROM ${dbPrefix}_Module_Downloads WHERE FS=\"$dir\"");
           $sth->execute();

               while (my $ref = $sth->fetchrow_hashref())
	         {
                    my @html = $self->readFile("Skins/$Libs::API::skin/downloads/ViewAll.html");

		    $ref->{'Description'} =~ s/&lt;/\</g;
		    $ref->{'Description'} =~ s/&gt;/\>/g;
		    $ref->{'Description'} =~ s/&quot;/\"/g;
		    $ref->{'Description'} =~ s/\&\#58;/:/g;
		    $ref->{'Description'} =~ s/\n/<br>/g;

                    my $des = substr $ref->{'Description'}, 0, 100;
		    	  $des .= "...";

		   foreach my $line (@html)
		   {
			     $line =~ s/__DATE__/$ref->{'Date'}/eg;
			     $line =~ s/__DID__/$ref->{'DID'}/eg;
			     $line =~ s/__TITLE__/$ref->{'Title'}/eg;
			     $line =~ s/__AUTHOR__/$ref->{'Author'}/eg;
			     $line =~ s/__DESCRIPTION__/$des/eg;
			     $line =~ s/__DOWNS__/$ref->{'Downs'}/eg;
			     $line =~ s/__RATING__/$ref->{'Rating'}/eg;
			     $line =~ s/__SKIN__/$Libs::API::skin/eg;

			  	$content .= $line;
                  }
               }

           $sth->finish();

    $self->db_disconnect(); # Disconnecting from DB.

    return $content;

############################################
############################################

  sub viewDown
   {
    my ($self, $did) = @_;

    $self->db_connect(); # Connecting to DB.

     my $sth = $dbh->prepare("SELECT * FROM ${dbPrefix}_Module_Downloads WHERE DID=\"$did\"");
           $sth->execute();

               while (my $ref = $sth->fetchrow_hashref())
	         {
		    $ref->{'URL'} =~ s/&lt;/\</g;
		    $ref->{'URL'} =~ s/&gt;/\>/g;
		    $ref->{'URL'} =~ s/&quot;/\"/g;
		    $ref->{'URL'} =~ s/\&\#58;/:/g;
		    $ref->{'URL'} =~ s/\n/<br>/g;
		    $ref->{'Description'} =~ s/&lt;/\</g;
		    $ref->{'Description'} =~ s/&gt;/\>/g;
		    $ref->{'Description'} =~ s/&quot;/\"/g;
		    $ref->{'Description'} =~ s/\&\#58;/:/g;
		    $ref->{'Description'} =~ s/\n/<br>/g;

                    my @html = $self->readFile("Skins/$Libs::API::skin/downloads/ViewDown.html");

		   foreach my $line (@html)
		     {
			     $line =~ s/__DATE__/$ref->{'Date'}/eg;
			     $line =~ s/__TITLE__/$ref->{'Title'}/eg;
			     $line =~ s/__DID__/$ref->{'DID'}/eg;
			     $line =~ s/__AUTHOR__/$ref->{'Author'}/eg;
			     $line =~ s/__DESCRIPTION__/$ref->{'Description'}/eg;
			     $line =~ s/__SIZE__/$ref->{'Size'}/eg;
			     $line =~ s/__URL__/$ref->{'URL'}/eg;
			     $line =~ s/__DOWNS__/$ref->{'Downs'}/eg;
			     $line =~ s/__RATING__/$ref->{'Rating'}/eg;

			  	$content .= $line;
                     }
                  }

           $sth->finish();

    $self->db_disconnect(); # Disconnecting from DB.

   return $content;
   }

  ###################

  sub goDown
  {
   my ($self, $did) = @_;
   my $ADI = new Libs::ADI ( initMods => 1,
                                           readConf => 1 ); # Initalize ADI constructor

    $self->db_connect(); # Connecting to DB.
     $self->db_get_hash_query("SELECT URL, Downs FROM ${Libs::API::dbPrefix}_Module_Downloads WHERE DID=$did", "URL, Downs");

     my $url = $_{'URL'};
     my $downs = $_{'Downs'};
           $downs++;

     $self->db_do_query("UPDATE ${Libs::API::dbPrefix}_Module_Downloads SET Downs=$downs WHERE DID=$did");
    $self->db_disconnect(); # Disconnecting from DB.

    $ADI->Jump($url, "", 1)
  }

  ###################

   return $center;
}

1;
